# © 2020 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import models, fields


class ScopPartnerStaff(models.Model):
    _name = "scop.partner.staff"
    _description = "Contributions"
    _rec_name = 'partner_id'
    _order = 'effective_date, partner_id'

    partner_id = fields.Many2one(
        comodel_name='res.partner',
        string='Organisme',
        domain=[('is_coopeartive', '=', True)],
        ondelete='restrict',
        required=True,
        index=True)
    user_id = fields.Many2one(
        comodel_name='res.users',
        string='Utilisateur',
        ondelete='set null',
        required=True,
        default=lambda self: self.env.uid)
    type_entry = fields.Selection([
        ('questionnaire', 'Questionnaire'),
        ('questionnaire_inscription', 'Questionnaire Inscription'),
        ('regul_ur', 'Régularisation UR'),
        ('regul_cg', 'Régularisation CG'),
        ('regul_diane', 'Régularisation Diane')],
        string="Type",
        default='regul_ur')
    effective_date = fields.Date(
        string="Date",
        default=fields.Date.today(),
        required=True,)
    staff_count = fields.Integer("Effectif (EF)", required=True,)
    staff_shareholder_count = fields.Integer("Eff. Sociétaires (ES)")
    staff_average = fields.Integer("Eff. Moyen (EM)")
    questionnaire_id = fields.Many2one(
        comodel_name='scop.questionnaire',
        string='Questionnaire',
        ondelete='cascade')
    comment = fields.Char('Commentaire')
